Skip to main content
GET
/
functions
/
{name}
/
logs
[beta] Get Function logs.
curl --request GET \
  --url https://api.samsara.com/functions/{name}/logs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "log": "Processing batch of 50 records...",
      "loggedAtTime": "2024-01-01T12:00:00Z"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

The name of the Function whose logs to retrieve.

Query Parameters

startTime
string<date-time>
required

Required RFC 3339 timestamp for the beginning of the log time range.

endTime
string<date-time>
required

Required RFC 3339 timestamp for the end of the log time range.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:100

The maximum number of log entries to return per page. Default is 100.

Required range: 1 <= x <= 512
filterText
string

Optional text to filter log entries. Only logs containing this text will be returned.

Response

OK response.

data
object[]
required

Array of log entries.

pagination
object
required

Pagination parameters.